Skip to content
BleemeoBleemeo

Partially update a schedule item

PATCH
/v1/scheduleitem/{id}/
curl --request PATCH \
--url https://example.com/v1/scheduleitem/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "override": true, "schedule_from": "2026-04-15T12:00:00Z", "schedule_to": "2026-04-15T12:00:00Z", "notification_targets": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "escalation_item": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "contacts_groups": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "all_targets": true }'

Update one or more fields of an existing schedule item.

id
required
string format: uuid

A UUID string identifying this schedule item.

object
id
string format: uuid
override
boolean
schedule_from
string format: date-time
schedule_to
string format: date-time
notification_targets
Array<string>
escalation_item
string format: uuid
contacts_groups
Array<string>
all_targets
boolean
Examplegenerated
{
"override": true,
"schedule_from": "2026-04-15T12:00:00Z",
"schedule_to": "2026-04-15T12:00:00Z",
"notification_targets": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"escalation_item": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"contacts_groups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"all_targets": true
}
Media typeapplication/json
object
id
required
string format: uuid
override
boolean
schedule_from
required
string format: date-time
schedule_to
required
string format: date-time
notification_targets
Array<string>
escalation_item
required
string format: uuid
contacts_groups
Array<string>
all_targets
boolean
Examplegenerated
{
"override": true,
"schedule_from": "2026-04-15T12:00:00Z",
"schedule_to": "2026-04-15T12:00:00Z",
"notification_targets": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"escalation_item": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"contacts_groups": [
"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
],
"all_targets": true
}